package com.ytpm.lemonios.dao;

import com.ytpm.app.model.YtDyzAnswerRecord;
import com.ytpm.app.view.QuestionListView;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

@Mapper
public interface QuestionMapper {

    /**
     * 获取题库
     */
    List<QuestionListView> questionList(@Param("appId")String appId);

    /**
     * 回答问题
     */
    void saveAnswerRecord(YtDyzAnswerRecord record);

    /**
     * 获取最后一次的问题ID
     */
    String getLastQuestionId(@Param("userId") String userId);

    /**
     * 获取答题数
     * @param type 1-今日 2-历史
     */
    Integer getAnswerCount(@Param("userId")String userId, @Param("type") int type);

    /**
     * 查询答题历史记录
     */
    List<YtDyzAnswerRecord> getAnswerRecords(@Param("userId") String userId);

    List<YtDyzAnswerRecord> getAnswerRecordsByIds(@Param("userIds") String userIds, @Param("startDate") Date startDate,
                                                  @Param("endDate") Date endDate);
}
